petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchGetStepDirection

Gets the step direction of the line search.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetStepDirection(TaoLineSearch ls, Vec *s)

Not Collective Many br

### Input Parameter

ls - the TaoLineSearch context Many br

### Output Parameter

s - the step direction of the line search Many br

Many br

Level:advanced
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages